- Home
- Cyrus IMAP
- Download
- Contribute

# sasl_server_done - Cleanup function

## Synopsis

    #include <sasl/sasl.h>

    int sasl_server_done();

## Description

`int sasl_server_done();`

  sasl_server_done() is a cleanup function, used to free all memory used by the library. Invoke when processing is complete.

## Return Value

Returns `SASL_OK` if the whole cleanup is successful and `SASL_CONTINUE` if this step is ok but at least one more step is needed.

## See Also

RFC 4422,:saslman:sasl(3), sasl_server_init(3), sasl_server_new(3), sasl_server_start(3), sasl_errors(3), sasl_done(3)